Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Modeling » AMW » How to install AMW under Eclipse 3.5.1
icon5.gif  How to install AMW under Eclipse 3.5.1 [message #516930] Thu, 25 February 2010 14:35 Go to next message
Alexey is currently offline Alexey
Messages: 61
Registered: January 2010
Member
Good Day!

I have a simple question.
I try to install the AMW under Eclipse 3.5.1
I downloaded the zip file as described and copied the directories under Eclipse\plugins.

After that I thought i can just press new\project\ other... and find something like "AMW-Project". But I saw nothing in the Menu like "AMW".

What did I wrong?

Thank you in advance.

Alexey

[Updated on: Thu, 25 February 2010 14:38]

Report message to a moderator

Re: How to install AMW under Eclipse 3.5.1 [message #517304 is a reply to message #516930] Fri, 26 February 2010 21:45 Go to previous messageGo to next message
Marcos Didonet Del Fabro is currently offline Marcos Didonet Del Fabro
Messages: 84
Registered: July 2009
Member
Hi,


We do not have a binary version that works with Eclipse 3.5.x.

The current version has been compiled with Eclipse 3.4.2.

And you need as well to install a ATL+AM3 version for developers.

Otherwise, you may download a bundle with all the required plug-ins (AMW included) in the link below:

http://docatlanmod.emn.fr/Eclipse_Bundles/AMMA_Prototype/AMM APrototypeEclipse.zip

Once installed, you will have a menu "Model weaver"..


Marcos.
Re: How to install AMW under Eclipse 3.5.1 [message #517624 is a reply to message #517304] Mon, 01 March 2010 14:59 Go to previous messageGo to next message
Alexey is currently offline Alexey
Messages: 61
Registered: January 2010
Member
Gracias!
Re: How to install AMW under Eclipse 3.5.1 [message #517625 is a reply to message #517304] Mon, 01 March 2010 15:00 Go to previous messageGo to next message
Alexey is currently offline Alexey
Messages: 61
Registered: January 2010
Member
Hallo, Marcos!

The Link you gave me doesnt work!

Thanx

Alexey

Maybe you mean this one?

http://docatlanmod.emn.fr/Eclipse_Bundles/AMMA_Prototype/AMM APrototypeEclipse.zip

[Updated on: Mon, 01 March 2010 15:41]

Report message to a moderator

Re: How to install AMW under Eclipse 3.5.1 [message #517719 is a reply to message #517625] Mon, 01 March 2010 20:14 Go to previous messageGo to next message
Marcos Didonet Del Fabro is currently offline Marcos Didonet Del Fabro
Messages: 84
Registered: July 2009
Member
Yes, this one. It was a bad copy and paste Smile.

Marcos.
Re: How to install AMW under Eclipse 3.5.1 [message #517888 is a reply to message #517719] Tue, 02 March 2010 13:10 Go to previous messageGo to next message
Alexey is currently offline Alexey
Messages: 61
Registered: January 2010
Member
Thank you very much, Marcos, the THING ist installed!

Now, could you please advise me some AMW-Samples (with sources)? The ones I found on the AMW-Page seem to be very old.

Thank you!

Alexey
Re: How to install AMW under Eclipse 3.5.1 [message #518282 is a reply to message #517888] Wed, 03 March 2010 16:40 Go to previous message
Marcos Didonet Del Fabro is currently offline Marcos Didonet Del Fabro
Messages: 84
Registered: July 2009
Member
hi,

You can use any of the examples, depending on what you are planning to do... For instance, the 4 following use cases cover different issues.

1. Traceability of model transformations

2. Model migration illustrated by a simple metamodel

3. Automatic model matching


Marcos.
Previous Topic:Which use case to choose?
Next Topic:AMW Ecore metamodel
Goto Forum:
  


Current Time: Thu Sep 18 01:38:14 GMT 2014

Powered by FUDForum. Page generated in 0.01951 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software